/**
 * planningtool - A Planning Tool with Critiquing Support.
 * 
 * Copyright (C) 2006 olale

 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

 * Contact information: 
 * E-mail: olale@ida.liu.se
 *         olale@lysator.liu.se
 */
package critiquer.scenarios.standard;

import java.awt.Component;

import critiquer.resources.ParameterInAgent;


public class InternalAgentParameter implements ParameterInAgent<Integer> {
	int value = 90;
	private AgentParameterName name;

	/**
	 * 
	 */
	public InternalAgentParameter(AgentParameterName name) {
		this.name = name;
	}

	public Type getType() {
		return ParameterInAgent.Type.INTERNAL;
	}

	public void setType(Type type) {
		
	}

	public Component getComponent() {
		return null;
	}

	public AgentParameterName getName() {
		return name;
	}

	public void setValue(int newValue) {
		value = newValue;
	}

	public Integer getValue() {
		return value;
	}
}